{% extends 'hkm/base_viewer.html' %}
{% load hkm_tags %}
{% load i18n %}

{% block viewer_arrows %}

  {% if search_result %}
    {% if previous_record %}
      <a href="{% url 'hkm_search_record' %}?image_id={{ previous_record.id }}" class="image-viewer-arrow arrow-left"><img alt="{% trans 'Previous image' %}" src="/static/hkm/img/arrow_left.png"></img></a>
    {% endif %}

    {% if next_record %}
      <a href="{% url 'hkm_search_record' %}?image_id={{ next_record.id }}" class="image-viewer-arrow arrow-right"><img alt="{% trans 'Next image' %}" src="/static/hkm/img/arrow_right.png"></img></a>
    {% endif %}

  {% endif%}

{% endblock %}

{% block content %}

  {% if search_result %}
    {% if not single_image %}
      <div class="back-to">
        <span class="back-to__title">{{ record.title }}</span><br>
        <span>{% trans 'Search' %}: {{ search_term }} ({{ record.index }}/{{search_result.resultCount}})</span><br>
        <a href="{% url 'hkm_search' %}?search={{search_term}}&page={{ current_page }}">
          <i class="back-to__icon">
            <svg class="svg-icon">
              <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-arrow-left"></use>
            </svg>
          </i>
          <span class="back-to__text">{% trans 'Back to search' %}</span>
        </a>
      </div>
    {% endif%}


    <div title="{% trans 'Left and right click to zoom.' %}" class="image-viewer">
      <div id="zoomable-image-container" class="image-viewer__container">
        <img id="zoomable-image" class="image-viewer__image" data-full-res-url="{{ record.full_res_url }}" src="{% finna_image record.id %}"></img>
      </div>
    </div>

  {% endif %}
{% endblock %}

  {% block hidden %}
    {% if record %}
      {% include 'hkm/snippets/popover_cart.html' with full_res_image_url=record.full_res_url web_image_url=record.id|finna_default_image_url finna_id=record.id cropped_web_image_url=record_web_url finna_id=record.id%}
    {% endif %}
  {% endblock %}
{% block extra_js %}
  <script>
    localStorage.setItem("last_record_browsed", "{{ search_term }}_{{ record.index }}");
  </script>
{% endblock %}
